# Contacts

## List all contacts

 - [GET /contacts](https://developers.kanbert.com/api/contacts/contacts.index.md): Required scopes: contact-data:read

## Create a contact

 - [POST /contacts](https://developers.kanbert.com/api/contacts/contacts.store.md): Required scopes: contact-data:write

## Retrieve a contact

 - [GET /contacts/{id}](https://developers.kanbert.com/api/contacts/contacts.show.md): Required scopes: contact-data:read

## Update a contact

 - [PATCH /contacts/{id}](https://developers.kanbert.com/api/contacts/contacts.update.md): Required scopes: contact-data:write

To update external_id jump to Endpoint /contacts/{id}/external-identifier

## Archive a contact

 - [DELETE /contacts/{id}](https://developers.kanbert.com/api/contacts/contacts.destroy.md): Required scopes: contact-data:write

## Update a contacts external identifier

 - [PUT /contacts/{id}/external-identifier](https://developers.kanbert.com/api/contacts/contacts.updateexternalid.md): Required scopes: contact-data:write

Can be used to force overwrite external_id

## Attach a contact to a company

 - [PUT /contacts/{id}/company/attach](https://developers.kanbert.com/api/contacts/contacts.associatecompany.md): Required scopes: contact-data:write

## Detach a contact from a company

 - [PUT /contacts/{id}/company/detach](https://developers.kanbert.com/api/contacts/contacts.unassociatecompany.md): Required scopes: contact-data:write

## Restore a contact

 - [POST /contacts/{id}/restore](https://developers.kanbert.com/api/contacts/contacts.restore.md): Required scopes: contact-data:write

## Contact created

 - [POST contact:created](https://developers.kanbert.com/api/contacts/paths/contact:created/post.md): contact:create - Fired when a new contact was created

## Contact updated

 - [POST contact:update](https://developers.kanbert.com/api/contacts/paths/contact:update/post.md): contact:update - Fired when a contact was updated

## Contact deleted

 - [POST contact:deleted](https://developers.kanbert.com/api/contacts/paths/contact:deleted/post.md): contact:delete - A contact was deleted

